Skip to main content

Get Event Notifications

API Description

Get notifications about one or more resources. Supply optional filters and the service will return the corresponding notification type(s) generated during a default or user specified timeframe.

When no timeframe is provided, the default behavior is to return notifications generated in the last seven (7) days.

Request

URI Parameters

NameInput
orgId
REQUIRED

Query Parameters

Filters to apply on the operation.

NameInput
createdDate
OPTIONAL
resourceType
OPTIONAL
Path Template
GET {url}/api/{version}/orgs/{orgId}/notifications?ql={query_parameter};{query_parameter}

This path example is expected to return notifications for location resources within a specific date range.

Path Example
GET {url}/api/v1/orgs/9467895078742654994/notifications?ql=createdDate=ge=2026-10-01T09:00:00Z;createdDate=le=2026-10-11T17:00:00Z;resourceType==LOCATION

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK, 204 No Content, or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 01da60d8-ebcd-49c4-9596-2e3aea9b9e09
content-type: application/json

Response Body

Notification response bodies are configured to meet the specific data requirements of each notification type. The following properties should be expected for all notification types:

ParentNameOutput
$.data[]
REQUIRED
data[]orgId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]feedbackUrl
REQUIRED
data[]resourceDetails
REQUIRED
data[]type
REQUIRED
resourceDetailsresourceId
REQUIRED
resourceDetailsresourceType
REQUIRED

ID

id uniquely identifies the notification itself, not the resource that triggered it.

Org ID

orgId always identifies the organization making the API call, even when a delegated partner retrieves notifications about resources owned by another organization.

Resource Types

resourceType (string) has these possible values:

AGGREGATE_RATING, BRAND, BRAND_ASSET, BUSINESS_EMAIL_ID, ORGANIZATION, LOCATION, LOCATION_ASSET, REVIEW, SHOWCASE, or SHOWCASE_CREATIVE

BRAND, BRAND_ASSET, BUSINESS_CALLER_ID, BUSINESS_EMAIL_ID, ORGANIZATION, LOCATION, LOCATION_ASSET, SHOWCASE, or SHOWCASE_CREATIVE

AGGREGATE_RATING, BRAND, BRAND_ASSET, BUSINESS_EMAIL_ID, ORGANIZATION, LOCATION, LOCATION_ASSET, REVIEW, SHOWCASE, or SHOWCASE_CREATIVE

AGGREGATE_RATING, BRAND, BRAND_ASSET, BUSINESS_CALLER_ID, BUSINESS_EMAIL_ID, ORGANIZATION, LOCATION, LOCATION_ASSET, REVIEW, SHOWCASE, or SHOWCASE_CREATIVE

Notification Types

type (string) has these possible values:

CLAIM_VALIDATION, DELEGATION, MAPS_DISPLAY, OAUTH_APP_GRANT, PROCESSING_FAILURE, PROCESSING_SUCCESSFUL, RESOURCE_CURATION, or VALIDATION_FAILURE

Example Response Body (raw JSON)
{
"data": [
{
"orgId": "9467895078742654994",
"id": "9467895078742654924",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "VALIDATION_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654994/feedback?ql=id==9467895078742654900",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654976",
"etag": "5c8db178-ddd4-11ec-8a61-f78830620abb",
"state": "REJECTED",
"brandId": "9467895078742654946"
}
},
{
"orgId": "9467895078742654994",
"id": "9467895078742654914",
"createdDate": "2026-10-09T14:12:46.00Z",
"type": "VALIDATION_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654994/feedback?ql=id==9467895078742654918",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654918",
"etag": "75b7339a-ddd4-11ec-8e49-af60e95b5e14",
"state": "REJECTED",
"brandId": "9467895078742654946"
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/v1/orgs/9467895078742654994/notifications?ql=createdDate=ge=2026-10-01T00:00:00Z;createdDate=le=2026-10-11T00:00:00Z;resourceType==LOCATION&limit=2&after=8U54a61d9b495324"
}
}

When no results are returned.

Example Response Body (raw JSON)
{
"data": [],
"pagination": {}
}